Entity Type API
Get Entity Type Field
Get an entity type field by ID, including its enum options.
GET
/
v2
/
entity-type-fields
/
{id}
Get Entity Type Field
curl --request GET \
--url https://public.api.serval.com/v2/entity-type-fields/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://public.api.serval.com/v2/entity-type-fields/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://public.api.serval.com/v2/entity-type-fields/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"entityTypeId": "<string>",
"key": "<string>",
"name": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"createdByUserId": "<string>",
"updatedByUserId": "<string>",
"enumOptions": [
{
"id": "<string>",
"value": "<string>",
"displayName": "<string>",
"displayOrder": 123
}
],
"isKeyField": true,
"isNameField": true,
"refEntityTypeId": "<string>",
"description": "<string>",
"sourceEntityTypeId": "<string>",
"sectionId": "<string>"
}
}{
"message": "<string>",
"detail": {
"type": "<string>",
"value": "<string>",
"debug": {}
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The ID of the entity type field.
Response
Success
The entity type field, including its enum options.
Show child attributes
Show child attributes
Was this page helpful?
⌘I
Get Entity Type Field

